#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       grantlee-editor
Summary:    Utilities and tools to manage themes in KDE PIM applications
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://utils.kde.org/projects/kdepim
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

ExcludeArch: armv5tl

BuildRequires: kf5-macros

#QT5 package
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5WebEngine)
BuildRequires: pkgconfig(Qt5WebEngineWidgets)

#KF5 package
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5TextEditor)
BuildRequires: cmake(KF5Wallet)
BuildRequires: cmake(KF5NewStuff)
BuildRequires: cmake(KF5Archive)
BuildRequires: cmake(KF5PimCommon)
BuildRequires: cmake(KF5MessageViewer)
BuildRequires: cmake(KF5GrantleeTheme)
BuildRequires: cmake(KF5AkonadiMime)
BuildRequires: cmake(KF5Libkleo)
BuildRequires: cmake(KF5SyntaxHighlighting)

#KdepimLibs Package
BuildRequires: cmake(KF5KaddressbookGrantlee)
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5Libkdepim)

%description
Utilities and tools to manage themes in KDE PIM applications

%files
%_sysconfdir/xdg/grantleeditor.categories
%_sysconfdir/xdg/grantleeditor.renamecategories
%_kf5_bindir/contactprintthemeeditor
%_kf5_bindir/contactthemeeditor
%_kf5_bindir/headerthemeeditor
%_kf5_datadir/applications/org.kde.contactprintthemeeditor.desktop
%_kf5_datadir/applications/org.kde.contactthemeeditor.desktop
%_kf5_datadir/applications/org.kde.headerthemeeditor.desktop
%_kf5_datadir/config.kcfg/grantleethemeeditor.kcfg

#------------------------------------------------------------------------------

%define grantleethemeeditor_major 5
%define libgrantleethemeeditor %mklibname grantleethemeeditor %grantleethemeeditor_major

%package -n %libgrantleethemeeditor
Summary: KDEPIM library
Group: System/Libraries

%description -n %libgrantleethemeeditor
KDEPIM library.

%files -n %libgrantleethemeeditor
%_kf5_libdir/libgrantleethemeeditor.so.%{grantleethemeeditor_major}*

#------------------------------------------------------------------------------

%package -n %name-handbook
Summary: %name handbook
Requires: %name >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description -n %name-handbook
This package provides %name handbook.

%files -n %name-handbook
%_kf5_docdir/HTML/en/contactthemeeditor
%_kf5_docdir/HTML/en/headerthemeeditor

#------------------------------------------------------------------------------

%define devel %mklibname %name -d

%package -n %devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt

Requires: %libgrantleethemeeditor = %epoch:%version

%description -n  %devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %devel
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090006
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

  + pterjan <pterjan>
    - Exclude armv5tl

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076741
- New version 16.12.0

* Sun Dec 11 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074266
- imported package grantlee-editor

